## airsnort 0.2.4a-1

=== src/Makefile ===
# Makefile.in generated by automake 1.7.8 from Makefile.am.
# src/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/airsnort
pkglibdir = $(libdir)/airsnort
pkgincludedir = $(includedir)/airsnort
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
ACLOCAL = ${SHELL} /root/software/cvs/AirSnort/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /root/software/cvs/AirSnort/missing --run tar
AUTOCONF = ${SHELL} /root/software/cvs/AirSnort/missing --run autoconf
AUTOHEADER = ${SHELL} /root/software/cvs/AirSnort/missing --run autoheader
AUTOMAKE = ${SHELL} /root/software/cvs/AirSnort/missing --run automake-1.7
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LTLIBOBJS = 
MAINT = 
MAINTAINER_MODE_FALSE = #
MAINTAINER_MODE_TRUE = 
MAKEINFO = ${SHELL} /root/software/cvs/AirSnort/missing --run makeinfo
OBJEXT = o
PACKAGE = airsnort
PACKAGE_BUGREPORT = 
PACKAGE_CFLAGS = -DORBIT2=1 -pthread -I/usr/include/libgnomeui-2.0 -I/usr/include/libgnome-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/gtk-2.0 -I/usr/include/libart-2.0 -I/usr/include/gconf/2 -I/usr/include/libbonoboui-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/orbit-2.0 -I/usr/include/libbonobo-2.0 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/bonobo-activation-2.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/X11R6/include -I/usr/include/libxml2  
PACKAGE_LIBS = -pthread -Wl,--export-dynamic -L/usr/X11R6/lib -lgnomeui-2 -lSM -lICE -lbonoboui-2 -lxml2 -lpthread -lz -lgnomecanvas-2 -lgnome-2 -lpopt -lart_lgpl_2 -lpangoft2-1.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lbonobo-2 -lgconf-2 -lgnomevfs-2 -lbonobo-activation -lORBit-2 -lgobject-2.0 -lgthread-2.0 -lm -lgmodule-2.0 -ldl -lglib-2.0  
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
SET_MAKE = 
SHELL = /bin/sh
STRIP = 
VERSION = 0.1
ac_ct_CC = gcc
ac_ct_STRIP = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build_alias = 
datadir = ${prefix}/share
exec_prefix = ${prefix}
host_alias = 
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /root/software/cvs/AirSnort/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 

INCLUDES = \
	-DPACKAGE_DATA_DIR=\""$(datadir)"\" \
	-DPACKAGE_LOCALE_DIR=\""$(prefix)/$(DATADIRNAME)/locale"\" \
	-DORBIT2=1 -pthread -I/usr/include/libgnomeui-2.0 -I/usr/include/libgnome-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/gtk-2.0 -I/usr/include/libart-2.0 -I/usr/include/gconf/2 -I/usr/include/libbonoboui-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/orbit-2.0 -I/usr/include/libbonobo-2.0 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/bonobo-activation-2.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/X11R6/include -I/usr/include/libxml2  


PTHREAD_LIB = -lpthread

bin_PROGRAMS = airsnort gencases decrypt orinoco_hopper

airsnort_SOURCES = \
	main.c \
	support.c support.h \
	interface.c interface.h \
	callbacks.c callbacks.h \
	crack.c crack.h \
	RC4.c RC4.h crc-32.c crc-32.h \
	capture.c capture.h \
	Packet.c Packet.h \
	bssidlist.c bssidList.h \
	display.c display.h \
	PacketSource.c PacketSource.h


airsnort_LDADD = $(PTHREAD_LIB) -lpcap -pthread -Wl,--export-dynamic -L/usr/X11R6/lib -lgnomeui-2 -lSM -lICE -lbonoboui-2 -lxml2 -lpthread -lz -lgnomecanvas-2 -lgnome-2 -lpopt -lart_lgpl_2 -lpangoft2-1.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lbonobo-2 -lgconf-2 -lgnomevfs-2 -lbonobo-activation -lORBit-2 -lgobject-2.0 -lgthread-2.0 -lm -lgmodule-2.0 -ldl -lglib-2.0  

decrypt_SOURCES = \
	decrypt.c \
	RC4.c RC4.h \
	crc-32.h crc-32.c


decrypt_LDADD = -lpcap

gencases_SOURCES = \
	gencases.c \
	RC4.c RC4.h \
	crc-32.c crc-32.h


gencases_LDADD = -lpcap

orinoco_hopper_SOURCES = \
	orinoco_hopper.c

subdir = src
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
bin_PROGRAMS = airsnort$(EXEEXT) gencases$(EXEEXT) decrypt$(EXEEXT) \
	orinoco_hopper$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS)

am_airsnort_OBJECTS = main.$(OBJEXT) support.$(OBJEXT) \
	interface.$(OBJEXT) callbacks.$(OBJEXT) crack.$(OBJEXT) \
	RC4.$(OBJEXT) crc-32.$(OBJEXT) capture.$(OBJEXT) \
	Packet.$(OBJEXT) bssidlist.$(OBJEXT) display.$(OBJEXT) \
	PacketSource.$(OBJEXT)
airsnort_OBJECTS = $(am_airsnort_OBJECTS)
airsnort_DEPENDENCIES =
airsnort_LDFLAGS =
am_decrypt_OBJECTS = decrypt.$(OBJEXT) RC4.$(OBJEXT) crc-32.$(OBJEXT)
decrypt_OBJECTS = $(am_decrypt_OBJECTS)
decrypt_DEPENDENCIES =
decrypt_LDFLAGS =
am_gencases_OBJECTS = gencases.$(OBJEXT) RC4.$(OBJEXT) crc-32.$(OBJEXT)
gencases_OBJECTS = $(am_gencases_OBJECTS)
gencases_DEPENDENCIES =
gencases_LDFLAGS =
am_orinoco_hopper_OBJECTS = orinoco_hopper.$(OBJEXT)
orinoco_hopper_OBJECTS = $(am_orinoco_hopper_OBJECTS)
orinoco_hopper_LDADD = $(LDADD)
orinoco_hopper_DEPENDENCIES =
orinoco_hopper_LDFLAGS =

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/Packet.Po \
	./$(DEPDIR)/PacketSource.Po ./$(DEPDIR)/RC4.Po \
	./$(DEPDIR)/bssidlist.Po ./$(DEPDIR)/callbacks.Po \
	./$(DEPDIR)/capture.Po ./$(DEPDIR)/crack.Po \
	./$(DEPDIR)/crc-32.Po ./$(DEPDIR)/decrypt.Po \
	./$(DEPDIR)/display.Po ./$(DEPDIR)/gencases.Po \
	./$(DEPDIR)/interface.Po ./$(DEPDIR)/main.Po \
	./$(DEPDIR)/orinoco_hopper.Po \
	./$(DEPDIR)/support.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(airsnort_SOURCES) $(decrypt_SOURCES) \
	$(gencases_SOURCES) $(orinoco_hopper_SOURCES)
DIST_COMMON = $(srcdir)/Makefile.in Makefile.am
SOURCES = $(airsnort_SOURCES) $(decrypt_SOURCES) $(gencases_SOURCES) $(orinoco_hopper_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .o .obj
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  src/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f"; \
	   $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f $(DESTDIR)$(bindir)/$$f"; \
	  rm -f $(DESTDIR)$(bindir)/$$f; \
	done

clean-binPROGRAMS:
	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
airsnort$(EXEEXT): $(airsnort_OBJECTS) $(airsnort_DEPENDENCIES) 
	@rm -f airsnort$(EXEEXT)
	$(LINK) $(airsnort_LDFLAGS) $(airsnort_OBJECTS) $(airsnort_LDADD) $(LIBS)
decrypt$(EXEEXT): $(decrypt_OBJECTS) $(decrypt_DEPENDENCIES) 
	@rm -f decrypt$(EXEEXT)
	$(LINK) $(decrypt_LDFLAGS) $(decrypt_OBJECTS) $(decrypt_LDADD) $(LIBS)
gencases$(EXEEXT): $(gencases_OBJECTS) $(gencases_DEPENDENCIES) 
	@rm -f gencases$(EXEEXT)
	$(LINK) $(gencases_LDFLAGS) $(gencases_OBJECTS) $(gencases_LDADD) $(LIBS)
orinoco_hopper$(EXEEXT): $(orinoco_hopper_OBJECTS) $(orinoco_hopper_DEPENDENCIES) 
	@rm -f orinoco_hopper$(EXEEXT)
	$(LINK) $(orinoco_hopper_LDFLAGS) $(orinoco_hopper_OBJECTS) $(orinoco_hopper_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/Packet.Po
include ./$(DEPDIR)/PacketSource.Po
include ./$(DEPDIR)/RC4.Po
include ./$(DEPDIR)/bssidlist.Po
include ./$(DEPDIR)/callbacks.Po
include ./$(DEPDIR)/capture.Po
include ./$(DEPDIR)/crack.Po
include ./$(DEPDIR)/crc-32.Po
include ./$(DEPDIR)/decrypt.Po
include ./$(DEPDIR)/display.Po
include ./$(DEPDIR)/gencases.Po
include ./$(DEPDIR)/interface.Po
include ./$(DEPDIR)/main.Po
include ./$(DEPDIR)/orinoco_hopper.Po
include ./$(DEPDIR)/support.Po

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`
uninstall-info-am:

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS

=== debian/changelog ===
airsnort (0.2.4a-1) unstable; urgency=low

  * new upstream

 -- Noèl Köthe <noel@debian.org>  Tue, 06 Apr 2004 11:39:51 +0200

airsnort (0.2.3c-1) unstable; urgency=low

  * new upstream from 2003-12-31
  * corrected build dep
    (closes: Bug#225698)
    (closes: Bug#223522)

 -- Noèl Köthe <noel@debian.org>  Sat,  3 Jan 2004 12:53:00 +0100

airsnort (0.2.3-1) unstable; urgency=low

  * new upstream from 2003-12-07

 -- Noel Koethe <noel@debian.org>  Sun,  7 Dec 2003 11:51:00 +0100

airsnort (0.2.2-3) unstable; urgency=low

  * installed missing manpages
    (closes: Bug#202948)
  * updated Standards-Version

 -- Noel Koethe <noel@debian.org>  Wed, 20 Aug 2003 08:29:00 +0200

airsnort (0.2.2-2) unstable; urgency=low

  * changed linux-wlan-ng depends to suggest so its
    possible to use the kernel modules

 -- Noel Koethe <noel@debian.org>  Thu,  2 Jul 2003 11:20:00 +0200

airsnort (0.2.2-1) unstable; urgency=low

  * updated Standards-Version
  * added missing depend "linux-wlan-ng"
    (closes: #167901)
    (FYI: its not possible to get a fixed airsnort package into
     woody)

 -- Noel Koethe <noel@debian.org>  Thu, 26 Jun 2003 20:14:00 +0200

airsnort (0.2.1b-3) unstable; urgency=low

  * updated Standards-Version
  * added URL to description
  * added faq to the package
    (closes: Bug#168687)

 -- Noel Koethe <noel@debian.org>  Sat,  8 Mar 2003 13:36:00 +0100

airsnort (0.2.1b-2) unstable; urgency=low

  * added patch from Lukas Geyer <geyer@math.uni-dortmund.de>
    from BTS (thanks for your help!)
  * Added build-dependence on libpcap-dev
  * src/decrypt.c: Added definition of DLT_PRISM_HEADER
  * Made configure executable
    (closes: Bug#157216)

 -- Noel Koethe <noel@debian.org>  Mon,  2 Sep 2002 19:38:00 +0200

airsnort (0.2.1b-1) unstable; urgency=low

  * new upstream version from 2002-05-02
    (closes: Bug#145518)
  * upstream added links to REAME
    (closes: Bug#143102)
  * added missing build-deps (libgtkxmhtml-dev, libzvt-dev)

 -- Noel Koethe <noel@debian.org>  Sun, 18 Aug 2002 17:17:00 +0200

airsnort (0.2.0-5) unstable; urgency=medium

  * corrected make distclean in debian/rules
    (closes: Bug#142923)

 -- Noel Koethe <noel@debian.org>  Mon, 15 Apr 2002 20:07:00 +0200

airsnort (0.2.0-4) unstable; urgency=low

  * changed clean in debian rules so nothing is cached on buildd
  * added missing m4 to deb-builds

 -- Noel Koethe <noel@debian.org>  Sun, 14 Apr 2002 16:42:00 +0200

airsnort (0.2.0-3) unstable; urgency=low

  * corrected debian/rules to fix buildd

 -- Noel Koethe <noel@debian.org>  Fri,  5 Apr 2002 20:33:00 +0200

airsnort (0.2.0-2) unstable; urgency=low

  * corrected Section

 -- Noel Koethe <noel@debian.org>  Wed,  3 Apr 2002 11:20:00 +0100

airsnort (0.2.0-1) unstable; urgency=low

  * Initial Release.
    (closes: Bug#126299)

 -- Noel Koethe <noel@debian.org>  Wed,  6 Mar 2002 14:27:19 +0100

=== debian/control ===
Source: airsnort
Section: net
Priority: optional
Maintainer: Noèl Köthe <noel@debian.org>
Build-Depends: debhelper (>> 3.0.0), automake, autoconf, liborbit-dev, xlibs-dev, m4, libzvt-dev, libpcap-dev, libgnomeui-dev
Standards-Version: 3.6.1

Package: airsnort
Architecture: any
Depends: ${shlibs:Depends}
Suggests: linux-wlan-ng
Description: WLAN sniffer
 A wireless LAN (WLAN) tool which cracks encryption keys on
 802.11b WEP networks. AirSnort operates by passively monitoring
 transmissions, computing the encryption key when enough packets
 have been gathered.
 .
 http://airsnort.shmoo.com/
 .
 https://sf.net/projects/airsnort/

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CC = gcc
CFLAGS = -O2 -Wall
INSTALL_PROGRAM = install

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

export CC CFLAGS INSTALL_PROGRAM

configure: configure-stamp
configure-stamp:
	dh_testdir

	-chmod +x ./configure
	./autogen.sh --host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info

	# Add here commands to configure the package.
	#./configure --host=$(DEB_HOST_GNU_TYPE) \
	#		--build=$(DEB_BUILD_GNU_TYPE) \
	#		--prefix=/usr \
	#		--mandir=\$${prefix}/share/man \
	#		--infodir=\$${prefix}/share/info

	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/airsnort.sgml > airsnort.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	rm -f install-sh mkinstalldirs missing COPYING

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/airsnort.
	$(MAKE) install prefix=$(CURDIR)/debian/airsnort/usr
	mkdir -p $(CURDIR)/debian/airsnort/usr/share/man/man1/
	cp $(CURDIR)/man/*.1 $(CURDIR)/debian/airsnort/usr/share/man/man1/


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## airsnort 0.2.7e-1.1

=== debian/changelog ===
airsnort (0.2.7e-1.1) unstable; urgency=low

  * Non-maintainer Upload

  [Justin Pryzby ]
  * xlibs-dev removal; closes: #346626.

  [ Amaya Rodrigo Sastre ]
  * Bumped Standards-Version to 3.6.2. No changes needed.
  * Updated DH_COMPAT to 4.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sun, 15 Jan 2006 02:26:51 +0100

airsnort (0.2.7e-1) unstable; urgency=low

  * new upstream from 2005-01-10

 -- Noèl Köthe <noel@debian.org>  Mon, 10 Jan 2005 23:23:25 +0100

airsnort (0.2.6-1) unstable; urgency=low

  * new upstream from 2004-09-22
  * fixed wrong debian native package from 0.2.4a-1

 -- Noèl Köthe <noel@debian.org>  Wed, 22 Sep 2004 12:06:29 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Noèl Köthe <noel@debian.org>
-Build-Depends: debhelper (>> 3.0.0), automake, autoconf, liborbit-dev, xlibs-dev, m4, libzvt-dev, libpcap-dev, libgnomeui-dev
-Standards-Version: 3.6.1
+Build-Depends: debhelper (>> 3.0.0), automake, autoconf, liborbit-dev, m4, libzvt-dev, libpcap0.8-dev, libgnomeui-dev
+Standards-Version: 3.6.2
 
 Package: airsnort
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatibility version to use.
-export DH_COMPAT=3
+export DH_COMPAT=4
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -30,19 +30,12 @@
 configure-stamp:
 	dh_testdir
 
-	-chmod +x ./configure
-	./autogen.sh --host=$(DEB_HOST_GNU_TYPE) \
-		--build=$(DEB_BUILD_GNU_TYPE) \
-		--prefix=/usr \
-		--mandir=\$${prefix}/share/man \
-		--infodir=\$${prefix}/share/info
-
 	# Add here commands to configure the package.
-	#./configure --host=$(DEB_HOST_GNU_TYPE) \
-	#		--build=$(DEB_BUILD_GNU_TYPE) \
-	#		--prefix=/usr \
-	#		--mandir=\$${prefix}/share/man \
-	#		--infodir=\$${prefix}/share/info
+	./configure --host=$(DEB_HOST_GNU_TYPE) \
+			--build=$(DEB_BUILD_GNU_TYPE) \
+			--prefix=/usr \
+			--mandir=\$${prefix}/share/man \
+			--infodir=\$${prefix}/share/info
 
 	touch configure-stamp
 
@@ -64,7 +57,7 @@
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) distclean
-	rm -f install-sh mkinstalldirs missing COPYING
+	#rm -f install-sh mkinstalldirs missing COPYING
 
 	dh_clean
